Bug 1737835 - planet depends on Python 2
Summary: planet depends on Python 2
Keywords:
Status: ASSIGNED
Alias: None
Product: Fedora
Classification: Fedora
Component: planet
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F31_PY2REMOVAL
TreeView+ depends on / blocked
 
Reported: 2019-08-06 09:51 UTC by Lumír Balhar
Modified: 2019-10-16 15:09 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Lumír Balhar 2019-08-06 09:51:17 UTC
Python 2.7 will reach end-of-life in January 2020, over 9 years after it was released. This falls within the Fedora 31 lifetime.
Packages that depend on Python 2 are being switched to Python 3 or removed from Fedora: https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages
Python 2 will be retired in Fedora 32: https://fedoraproject.org/wiki/Changes/RetirePython2

To help planning, we'd like to know the plans for planet's future. Specifically:


- What is the reason for the Python2 dependency? (Is it software written in Python, or does it just provide Python bindings, or use Python in the build system or test runner?) [remove if clear]

- What are the upstream/community plans/timelines regarding Python 3?

- What is the guidance for porting to Python 3? (Assuming that there is someone who generally knows how to port to Python 3, but doesn't know anything about the particular package, what are the next steps to take?)


This bug is filed semi-automatically, and might not have all the context specific to planet.
If you need anything from us, or something is unclear, please mention it here.

Thank you.

Comment 1 Gwyn Ciesla 2019-08-06 13:42:42 UTC
No longer available upstream, depends on sgmllib which is not available in Python 3. May need to be retired. If planet is still in use by fedoraplanet.org, sgmllib3k is available but old and unmaintained.

Comment 2 Ben Cotton 2019-08-13 16:51:02 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 3 Ben Cotton 2019-08-13 17:39:05 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 4 Lumír Balhar 2019-08-14 08:59:40 UTC
The current plan is to remove packages with dependency on Python 2 from Fedora 32 in the middle of November 2019. If you want to keep your package in Fedora after that date and you cannot port it to Python 3 yet, you need to request a FESCo exception for the package and all its Python 2 dependencies (even transitive) [1]. If you don't want to maintain it anymore, and nothing in Fedora uses it, you can retire it or just remove the Python 2 part from it (subpackage, module, bindings, etc.).

If you're considering filing the exception request, let us know. We can help (for example, we can help find all the dependencies).

[1] https://fedoraproject.org/wiki/Changes/RetirePython2#FESCo_exceptions

Comment 5 Miro Hrončok 2019-10-16 14:58:43 UTC
> May need to be retired.

Let's do it?

Comment 6 Gwyn Ciesla 2019-10-16 15:02:33 UTC
Isn't it still in use by fedoraplanet.org?  If not, absolutely.

Comment 7 Miro Hrončok 2019-10-16 15:03:57 UTC
Does fedroaplanet run on rawhide? I have no idea, but would expect EL.

Comment 8 Gwyn Ciesla 2019-10-16 15:05:52 UTC
I'd suspect EL too but IDK.


Note You need to log in before you can comment on or make changes to this bug.